/*

 */
package com.dxhy.erp.entity;

import java.util.Date;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

/**
 * <p>
 * Title: RecordInvoiceDetail
 * </p>
 * <p>
 * Description: 电子底账明细
 * </p>
 *
 * @author yuanlz
 * @date 2016年12月21日 上午10:26:24
 */
@Data
@TableName("t_dx_record_invoice_detail")
public class RecordInvoiceDetail extends BasePojo {

    private static final long serialVersionUID = -422068344392372903L;

    /**
     * 主键
     */

    private Long id;

    /**
     * 唯一标识
     */
    private String uuid;

    /**
     * 发票代码
     */

    private String invoiceCode;

    /**
     * 发票号码
     */

    private String invoiceNo;

    /**
     * 明细序号
     */
    private Integer detailNo;

    /**
     * 货物名称
     */
    private String goodsName;

    /**
     * 规格型号
     */
    private String model;

    /**
     * 单位
     */
    private String unit;

    /**
     * 数量
     */
    private String num;

    /**
     * 单价
     */
    private String unitPrice;

    /**
     * 金额
     */
    private String detailAmount;

    /**
     * 税率
     */
    private String taxRate;

    /**
     * 税额
     */
    private String taxAmount;
    /**
     * 最后一次修改时间
     */
    @TableField(exist = false)
    private Date updateDate;

    /**
     * 数据产生日期
     */
    @TableField(exist = false)
    private Date createDate;

    /**
     * 车牌号
     */
    private String cph;

    /**
     * 类型
     */
    private String lx;

    /**
     * 通行日期起
     */
    private String txrqq;

    /**
     * 通行日期止
     */
    private String txrqz;

    /**
     * 商品编码
     */
    private String goodsNum;

    /**
     * @return the id
     */
    public Long getId() {
        return id;
    }

    /**
     * @param id
     *            the id to set
     */
    public void setId(Long id) {
        this.id = id;
    }

    public String getUuid() {
        return uuid;
    }

    public void setUuid(String uuid) {
        this.uuid = uuid;
    }

    /**
     * @return the invoiceCode
     */
    public String getInvoiceCode() {
        return invoiceCode;
    }

    /**
     * @param invoiceCode
     *            the invoiceCode to set
     */
    public void setInvoiceCode(String invoiceCode) {
        this.invoiceCode = invoiceCode;
    }

    /**
     * @return the invoiceNo
     */
    public String getInvoiceNo() {
        return invoiceNo;
    }

    /**
     * @param invoiceNo
     *            the invoiceNo to set
     */
    public void setInvoiceNo(String invoiceNo) {
        this.invoiceNo = invoiceNo;
    }

    /**
     * @return the detailNo
     */
    public Integer getDetailNo() {
        return detailNo;
    }

    /**
     * @param detailNo
     *            the detailNo to set
     */
    public void setDetailNo(Integer detailNo) {
        this.detailNo = detailNo;
    }

    /**
     * @return the goodName
     */
    public String getGoodsName() {
        return goodsName;
    }

    public void setGoodName(String goodsName) {
        this.goodsName = goodsName;
    }

    /**
     * @return the model
     */
    public String getModel() {
        return model;
    }

    /**
     * @param model
     *            the model to set
     */
    public void setModel(String model) {
        this.model = model;
    }

    /**
     * @return the unit
     */
    public String getUnit() {
        return unit;
    }

    /**
     * @param unit
     *            the unit to set
     */
    public void setUnit(String unit) {
        this.unit = unit;
    }

    /**
     * @return the num
     */
    public String getNum() {
        return num;
    }

    /**
     * @param num
     *            the num to set
     */
    public void setNum(String num) {
        this.num = num;
    }

    /**
     * @return the unitPrice
     */
    public String getUnitPrice() {
        return unitPrice;
    }

    /**
     * @param unitPrice
     *            the unitPrice to set
     */
    public void setUnitPrice(String unitPrice) {
        this.unitPrice = unitPrice;
    }

    /**
     * @return the detailAmount
     */
    public String getDetailAmount() {
        return detailAmount;
    }

    /**
     * @param detailAmount
     *            the detailAmount to set
     */
    public void setDetailAmount(String detailAmount) {
        this.detailAmount = detailAmount;
    }

    /**
     * @return the taxRate
     */
    public String getTaxRate() {
        return taxRate;
    }

    /**
     * @param taxRate
     *            the taxRate to set
     */
    public void setTaxRate(String taxRate) {
        this.taxRate = taxRate;
    }

    /**
     * @return the taxAmount
     */
    public String getTaxAmount() {
        return taxAmount;
    }

    /**
     * @param taxAmount
     *            the taxAmount to set
     */
    public void setTaxAmount(String taxAmount) {
        this.taxAmount = taxAmount;
    }

    public Date getUpdateDate() {
        return updateDate;
    }

    public void setUpdateDate(Date updateDate) {
        this.updateDate = updateDate;
    }

    public Date getCreateDate() {
        return createDate;
    }

    public void setCreateDate(Date createDate) {
        this.createDate = createDate;
    }
}
